### Method

# Gtk DropTargetAsyncset_formats

#### Declaration [src]

    void
    gtk_drop_target_async_set_formats (
      GtkDropTargetAsync* self,
      GdkContentFormats* formats
    )

#### Description [src]

Sets the data formats that this drop target will accept.

Sets property | `Gtk.DropTargetAsync:formats`

#### Parameters

`formats`

  Type: `GdkContentFormats`

  The supported data formats or `NULL` for any format.

  The argument can be `NULL`.
  The data is owned by the caller of the method.